<template>
  <div>
    <h1 class="mb-8">Are you pregnant, planning to get pregnant, or breastfeeding?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected"
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

const YES = 'Yes'
const NOT_SURE = 'I\'m, not sure'

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "SkinAnalysis6",
  data() {
    return {
      choices: [
        YES,
        'No',
        NOT_SURE,
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_6')
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === YES) {
        this.setRefer('We’ve hit a road bump!', 'Because you are pregnant, we cannot prescribe a custom prescription formula at this time. Certain prescription treatments may cause complications for expectant mothers. Please try again when you are not pregnant or breastfeeding.')
      } else if (this.radioSelected === NOT_SURE) {
        this.setRefer('We’ve hit a road bump!', 'Because you may be pregnant, we cannot prescribe a custom prescription formula at this time. Certain prescription treatments may cause complications for expectant mothers. Please try again if and when you are positive you are not pregnant. ')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
